
library(geiger)
source("evolveRateTree_JMB_sqT.R")

b=0.09088999
eps=0.50
stdev=0.0
#Looking for trees of 25 taxa only:

count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==25){
			write.tree(gg,file="e50s00.25.trees",append=TRUE)
			count <- count + 1
		}
	}
}

stdev=0.06
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==25){
			write.tree(gg,file="e50s06.25.trees",append=TRUE)
			count <- count + 1
		}
	}
}


b=0.1453241
eps=0.50
stdev=0.0
#Looking for trees of 25 taxa only:

count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e50s00.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}

stdev=0.06
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e50s06.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}




