

pdf("waittime_e75_test.pdf")
par(mfcol=c(2,2),mar=c(4,4,0.5,0.5), oma=c(1.5,2,1,1))
string1<-paste("wait.e75s06sT",1,sep="_")
mm<-read.delim(string1, h=FALSE)
tot<-mm
plot(mm[,1],log(1/mm[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(1,0,0,0.05),axes=FALSE,xlab="",ylab="")
par(tck=.01)
axis(1, at = seq(-50, 50, by = 20), las =1, lwd=1, labels=TRUE, mgp=c(.75,.5,0))
#axis(2, at = seq(-1, 8, by = 1), las =1, lwd=1, labels=FALSE, mgp=c(.75,.5,0))
axis(2, at = c(log(.01), log(.1), log(1),log(10),log(100),log(1000)), las =1, lwd=1, labels=c(".01Myr", ".1Myr","1Myr","10Myr","100Myr","1000Myr"), mgp=c(.75,.5,0))
#axis(1, at = seq(-50, 50, by = 5), las =1, lwd=1, labels=FALSE, mgp=c(.75,.5,0))
xlab<-"time"
ylab<-"lambda"
par(new=TRUE)
plot(mm[,1],log(1/mm[,3]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(0,0,1,0.05),axes=FALSE,xlab="",ylab="")
for(i in 2:100){
	string1<-paste("wait.e75s06sT",i,sep="_")
	mm<-read.delim(string1, h=FALSE)
	tot<-rbind(tot,mm)
	par(new=TRUE)
	plot(mm[,1],log(1/mm[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(1,0,0,0.05),axes=FALSE,xlab="",ylab="")
	par(new=TRUE)
	plot(mm[,1],log(1/mm[,3]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(0,0,1,0.05),axes=FALSE,xlab="",ylab="")
}
tot.sorted<-tot[order(tot[,1]),]
res<-c()
res2<-c()
for(i in 49:0){
	top<-which(tot.sorted[,1]>=i)
	bottom<-which(tot.sorted[,1]>=(i+1))
	ll<-c(top,bottom)
	res<-rbind(res,c(i,mean(tot.sorted[ll,2]),mean(tot.sorted[ll,3])))
	res2<-rbind(res2,c(i,mean(tot.sorted[ll,4])))
}
par(new=TRUE)
plot(res[,1],log(1/res[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(1,0,0,1),lwd=2, axes=FALSE,xlab="",ylab="")
par(new=TRUE)
plot(res[,1],log(1/res[,3]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(0,0,1,1),lwd=2, axes=FALSE,xlab="",ylab="")
par(new=TRUE)
plot(res[,1],log(1/res2[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",lty=2, axes=FALSE,xlab="",ylab="")
time <- res[,1]
nn <- log(1/res[,2])
pp <- cbind(time,nn)
pp <- as.data.frame(pp)
exp1 <- loess(nn~time,pp, control=loess.control(surface="direct"))
newdata <- data.frame(time=c(0:-50))
ll<-predict(exp1,newdata,se=TRUE)
points(0:-50,ll$fit,type="l",lty=3,col=rgb(1,0,0,.5))
nn <- log(1/res[,3])
pp <- cbind(time,nn)
pp <- as.data.frame(pp)
exp1 <- loess(nn~time,pp, control=loess.control(surface="direct"))
newdata <- data.frame(time=c(0:-50))
ll<-predict(exp1,newdata,se=TRUE)
points(0:-50,ll$fit,type="l",lty=3,col=rgb(0,0,1,.5))
nn <- log(1/res2[,2])
pp <- cbind(time,nn)
pp <- as.data.frame(pp)
exp1 <- loess(nn~time,pp, control=loess.control(surface="direct"))
newdata <- data.frame(time=c(0:-50))
ll<-predict(exp1,newdata,se=TRUE)
points(0:-50,ll$fit,type="l",lty=2,col=rgb(0,0,0,.5))
#abline(h=log(1/0.692), lty=3)
#abline(h=log(1/0.438), lty=3)
#abline(h=log(1/0.121), lty=3)
set<-read.delim("MagallonCastillo2009")
set$Age <- 50 - set$CrownAge
points(set$Age,log(set$wait.time), pch=19, cex=.5)


string1<-paste("wait.e75s12sT",1,sep="_")
mm<-read.delim(string1, h=FALSE)
tot<-mm
plot(mm[,1],log(1/mm[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(1,0,0,0.05),axes=FALSE,xlab="",ylab="")
par(tck=.01)
axis(1, at = seq(-50, 50, by = 20), las =1, lwd=1, labels=TRUE, mgp=c(.75,.5,0))
#axis(2, at = seq(-1, 8, by = 1), las =1, lwd=1, labels=FALSE, mgp=c(.75,.5,0))
axis(2, at = c(log(.01), log(.1), log(1),log(10),log(100),log(1000)), las =1, lwd=1, labels=c(".01Myr", ".1Myr","1Myr","10Myr","100Myr","1000Myr"), mgp=c(.75,.5,0))
#axis(1, at = seq(-50, 50, by = 5), las =1, lwd=1, labels=FALSE, mgp=c(.75,.5,0))
xlab<-"time"
ylab<-"lambda"
par(new=TRUE)
plot(mm[,1],log(1/mm[,3]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(0,0,1,0.05),axes=FALSE,xlab="",ylab="")
for(i in 2:100){
	string1<-paste("wait.e75s12sT",i,sep="_")
	mm<-read.delim(string1, h=FALSE)
	tot<-rbind(tot,mm)
	par(new=TRUE)
	plot(mm[,1],log(1/mm[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(1,0,0,0.05),axes=FALSE,xlab="",ylab="")
	par(new=TRUE)
	plot(mm[,1],log(1/mm[,3]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(0,0,1,0.05),axes=FALSE,xlab="",ylab="")
}
tot.sorted<-tot[order(tot[,1]),]
res<-c()
res2<-c()
for(i in 49:0){
	top<-which(tot.sorted[,1]>=i)
	bottom<-which(tot.sorted[,1]>=(i+1))
	ll<-c(top,bottom)
	res<-rbind(res,c(i,mean(tot.sorted[ll,2]),mean(tot.sorted[ll,3])))
	res2<-rbind(res2,c(i,mean(tot.sorted[ll,4])))
}
par(new=TRUE)
plot(res[,1],log(1/res[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(1,0,0,1),lwd=2, axes=FALSE,xlab="",ylab="")
par(new=TRUE)
plot(res[,1],log(1/res[,3]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",col=rgb(0,0,1,1),lwd=2, axes=FALSE,xlab="",ylab="")
par(new=TRUE)
plot(res[,1],log(1/res2[,2]),xlim=c(50,-50),ylim=c(log(.01),9),type="l",lty=2, axes=FALSE,xlab="",ylab="")
time <- res[,1]
nn <- log(1/res[,2])
pp <- cbind(time,nn)
pp <- as.data.frame(pp)
exp1 <- loess(nn~time,pp, control=loess.control(surface="direct"))
newdata <- data.frame(time=c(0:-50))
ll<-predict(exp1,newdata,se=TRUE)
points(0:-50,ll$fit,type="l",lty=3,col=rgb(1,0,0,.5))
nn <- log(1/res[,3])
pp <- cbind(time,nn)
pp <- as.data.frame(pp)
exp1 <- loess(nn~time,pp, control=loess.control(surface="direct"))
newdata <- data.frame(time=c(0:-50))
ll<-predict(exp1,newdata,se=TRUE)
points(0:-50,ll$fit,type="l",lty=3,col=rgb(0,0,1,.5))
nn <- log(1/res2[,2])
pp <- cbind(time,nn)
pp <- as.data.frame(pp)
exp1 <- loess(nn~time,pp, control=loess.control(surface="direct"))
newdata <- data.frame(time=c(0:-50))
ll<-predict(exp1,newdata,se=TRUE)
points(0:-50,ll$fit,type="l",lty=2,col=rgb(0,0,0,.5))
#abline(h=log(1/0.692), lty=3)
#abline(h=log(1/0.438), lty=3)
#abline(h=log(1/0.121), lty=3)
set<-read.delim("MagallonCastillo2009")
set$Age <- 50 - set$CrownAge
points(set$Age,log(set$wait.time), pch=19, cex=.5)

dev.off()




