
library(geiger)
source("evolveRateTree_JMB_sqT.R")

b=0.06587368
eps=0.25
stdev=0.0
#Looking for trees of 25 taxa only:

count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==25){
			write.tree(gg,file="e25s00.25.trees",append=TRUE)
			count <- count + 1
		}
	}
}

stdev=0.06
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==25){
			write.tree(gg,file="e25s06.25.trees",append=TRUE)
			count <- count + 1
		}
	}
}


b=0.1026514
eps=0.25
stdev=0.0
#Looking for trees of 25 taxa only:

count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e25s00.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}

stdev=0.06
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e25s06.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}

	
