
library(geiger)
source("evolveRateTree_JMB_sqT.R")

b=0.1447764
eps=0.75
stdev=0.0
#Looking for trees of 25 taxa only:
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==25){
			write.tree(gg,file="e75s00.25.trees",append=TRUE)
			count <- count + 1
		}
	}
}

stdev=0.06
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==25){
			write.tree(gg,file="e75s06.25.trees",append=TRUE)
			count <- count + 1
		}
	}
}


b=0.2491702
eps=0.75
stdev=0.0
#Looking for trees of 100 taxa only:
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e75s00.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}

stdev=0.06
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e75s06.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}

	
stdev=0.12
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e75s12.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}


stdev=0.24
count=0
while(count < 20){
	try(mm<-evolveRateTree.eps(b=b,eps=eps,stdev=stdev,maxtax=5000),silent=TRUE)
	try(gg<-drop.extinct(mm),silent=TRUE)
	if(!is.null(gg)){
		if(Ntip(gg)==100){
			write.tree(gg,file="e75s24.100.trees",append=TRUE)
			count <- count + 1
		}
	}
}




