
MagSanEq5<-function(p, max.time, eps, known){
	birth=p[1]
	death=eps*birth
	beta<-(exp((birth-death)*max.time)-1)/(exp((birth-death)*max.time)-eps)
	alpha<-eps*beta
	approx.expected.diversity=(2*exp((birth-death)*max.time))/(1-alpha^2)
	return(abs(approx.expected.diversity-known))
}

#How to call this equation:
optimize(MagSanEq5,interval=c(0,2), max.time=50, eps=0.75, known=50)

## Loop for obtaining estimates of b for empirical data ##
#set<-read.delim("MagallonCastillo2009")
#res<-c()
#for(i in 1:length(set$CrownAge)){
#	tmp <- optimize(MagSanEq5,interval=c(0,2), max.time=set$CrownAge[i], eps=0.75, known=set$Diversity[i])
#	res<-c(res, tmp$minimum)
#}
